import { BaseCommandTest } from './base-command-test.js';
import { type DeploymentName } from '../../../../src/types/index.js';
import { type BaseTestOptions } from './base-test-options.js';
export declare class ConsensusNodeTest extends BaseCommandTest {
    static keys(options: BaseTestOptions): void;
    private static soloConsensusNodeSetupArgv;
    static soloConsensusNodeSetup(deployment: DeploymentName, cacheDirectory: string, localBuildPath?: string, app?: string, appConfig?: string): string[];
    private static soloConsensusNodeAddArgv;
    static soloConsensusNetworkDeployArgv(deployment: DeploymentName, nodeAliases: string, pvcsEnabled: boolean, cacheDirectory: string, app?: string): string[];
    private static soloConsensusNodeUpdateArgv;
    private static soloConsensusNodeUpgradeArgv;
    private static soloConsensusNodeDestroyArgv;
    private static soloDeploymentDiagnosticsConnectionsArgv;
    private static soloConsensusNodeRefreshArgv;
    private static soloConsensusNodeStopArgv;
    static setup(options: BaseTestOptions): void;
    static firstNodeCustomGrpcWebEndpointAddress: string;
    static firstNodeCustomGrpcWebEndpointPort: number;
    static secondNodeCustomGrpcWebEndpointAddress: string;
    static secondNodeCustomGrpcWebEndpointPort: number;
    private static soloNodeStartArgv;
    static soloNodeStart(deployment: DeploymentName, nodeAliases: string, app?: string): string[];
    private static verifyAccountCreateWasSuccessful;
    static start(options: BaseTestOptions, setCustomGrpcWebAddress?: boolean): void;
    static add(options: BaseTestOptions, useFqdn?: boolean): void;
    static update(options: BaseTestOptions, useFqdn?: boolean): void;
    static upgrade(options: BaseTestOptions): void;
    static upgradeConfigs(options: BaseTestOptions): void;
    static destroy(options: BaseTestOptions): void;
    static refresh(options: BaseTestOptions): Promise<void>;
    private static verifyPodShouldBeRunning;
    private static verifyPodShouldNotBeActive;
    static PemKill(options: BaseTestOptions): void;
    static PemStop(options: BaseTestOptions): void;
    private static checkNetwork;
    static connections(options: BaseTestOptions): void;
    static soloConsensusNetworkDestroyArgv(deployment: string): string[];
    static soloConsensusNetworkFreezeArgv(deployment: string): string[];
    static soloConsensusStateDownloadArgv(deployment: string, nodeAliasesUnparsed: string): string[];
    static soloConsensusNodeRestartArgv(deployment: string, nodeAliasesUnparsed?: string): string[];
}
